/*
 * Class EV_CONTAINER_ACTION_SEQUENCES_IMP
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_430 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_430 [] = {0xFF01,1551,429,0xFFFF};
static const EIF_TYPE_INDEX egt_2_430 [] = {0xFF01,429,0xFFFF};
static const EIF_TYPE_INDEX egt_3_430 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_430 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_430 [] = {0xFF01,429,0xFFFF};
static const EIF_TYPE_INDEX egt_6_430 [] = {0xFF01,429,0xFFFF};
static const EIF_TYPE_INDEX egt_7_430 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_430 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_430 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_430 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_430 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_430 [] = {0xFF01,429,0xFFFF};
static const EIF_TYPE_INDEX egt_13_430 [] = {0xFF01,633,0xFFFF};
static const EIF_TYPE_INDEX egt_14_430 [] = {0xFF01,633,0xFFFF};


static const struct desc_info desc_430[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_430), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_430), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_430), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_430), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_430), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_430), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_430), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_430), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_430), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_430), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_430), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_430), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x035B /*429*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_430), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_430), 7310, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_430), 7312, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04F3 /*633*/), 7311, 0},
};
void Init430(void)
{
	IDSC(desc_430, 0, 429);
	IDSC(desc_430 + 1, 1, 429);
	IDSC(desc_430 + 32, 524, 429);
}


#ifdef __cplusplus
}
#endif
